
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SpringSide开发实战（八）：不是结局的结局，谈谈程序员的境界 / iVAN</title>

    <meta name="description" content="SpringSide开发实战（八）：不是结局的结局，谈谈程序员的境界 SpringSide是个好东西,对我来说,它的好主要体现在两个方面:一.它提供了一个敏 捷开发的框架,省去了我自己整合Spring.Hibernate.Struts.ActiveMQ等等开源组件的 时间,而且还是最佳实践:二.它指导了我的学习目标,在SpringSide中整合的各种组件, 都是在同一类组件中最优秀的,而且要想熟练使用这些组件,都必须对它们进行深入的系统 的学习. 本来以为我会在SpringSide开发实战系列中写更多的文章,但是写到现在,我认为应该 要写结局了,为什么呢?因为在使">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SpringSide开发实战（八）：不是结局的结局，谈谈程序员的境界</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>SpringSide是个好东西，对我来说，它的好主要体现在两个方面：一、它提供了一个敏 捷开发的框架，省去了我自己整合Spring、Hibernate、Struts、ActiveMQ等等开源组件的 时间，而且还是最佳实践；二、它指导了我的学习目标，在SpringSide中整合的各种组件， 都是在同一类组件中最优秀的，而且要想熟练使用这些组件，都必须对它们进行深入的系统 的学习。</p>
<p>本来以为我会在SpringSide开发实战系列中写更多的文章，但是写到现在，我认为应该 要写结局了，为什么呢？因为在使用SpringSide进行项目开发的过程中，我越来越感觉到项 目绝对不是各种组件的简单堆砌，而是程序员要不断有自己的想法和创意，并能够抽象到一 个高度。这也正是为什么我的文章从第一篇到第八篇越来越偏离SpringSide的核心了。在这 里，我主要想谈谈程序员的境界。以下观点纯属个人看法，欢迎大家探讨。</p>
<p>第一层境界：从不能到能。</p>
<p>可以这么说，早在7年前我就已经熟练掌握C语言、Visual FoxPro数据库、HTML、CSS和 JavaScript，C语言和Visual FoxPro是学校教的，HTML、CSS和JavaScript是自学的，同时 ，我还自学了Flash动画制作和Photoshop图像处理。但是，我那时候还不知道应用程序开发 ，学的这些东西无非就是好玩，偶尔参加一次学校主办的网页设计大赛而已。</p>
<p>我开发的第一个应用是《银符英语在线》，使用的是ASP + SQL Server 2000，时间是 2004年，那时我刚考过软件设计师（原高级程序员），有人找我做程序，他说想做一个英语 四六级的在线考试系统，问我能不能做到，我毫不犹豫就说能。我想我确实是具有软件设计 方面的天赋，用了一个星期设计出数据库，再用一个星期写了一个Demo，一下子就把他征服 了，于是，他当老板，我当程序员，一起进行在线英语考试方面的开发。</p>
<p>在这段时间，我觉得我不折不扣就是处于这第一层境界。JScript我早已是滚瓜乱熟， ASP教程更随处可得。在这段时间里，我用全JScript代码实现了用户认证和权限管理，用 Visual C++写了个COM组件进行数据的加密和解密，还在网上到处搜索文件上传和动态图片 生成方面的解决办法。当时，我觉得我的开发过程充实而满足；现在看来，我只不过是一个 重复发明轮子的傻冒。</p>
<p>在10个月的时间里，我把这个程序从1.0版开发到3.0版，功能上进行了不少升级。但是 我认为升级最大的还是我的技术，我尽我最到的能力将代码与网页分离，尽我最到的能力减 少代码的重复，甚至已经基本做到使用模式来让程序更加容易扩充和维护。我所做的一切， 与现代的一些Web开发框架已经不谋而合。但是，以我当时的内力，确实没有办法将之抽象 为一个框架。我的程序中依然充满了意大利面条式的代码，而且在在线人数多的时候，网页 会慢得象蜗牛爬。</p>
<p>第二层境界：从能做到做得漂亮</p>
<p>2005年，我开始接触Java，以我的基础，自然是很快就学会了Java的语法并进军J2EE。 我觉得Java开源世界给了我不少能量，在这两年里，我的进步速度是呈指数式的。以我现在 的水平，仅使用JSP和Servlet，已经足以解决绝大部分的需求。然而，仅使用JSP和Servlet 就是全部吗？</p>
<p>这个时候，我们不仅仅要能够完成应用程序的编写，更重要的要让应用程序便于维护和 便于扩充。这时候，没有足够的抽象能力是不够的。要能够理解和应用分层架构，要知道 MVC、IoC、AOP、ORM，要了解声明式事务处理，还要学会最流行了AJAX。所有的这一切，不 仅能够让我们的应用便于维护，合理使用各开源组件还能加快开发的速度，但是最重要的， 它们能使我们的应用充满艺术的美感。</p>
<p>在SpringSide社区，现在最流行的是Acegi，这也是对安全与权限功能的一种抽象。本来 我也想写一篇Acegi方面的文章，但是cac写的文档是在是太完美、太经典了，我无法超越。 我们应该让我们的应用尽量向Acegi靠拢，因为，它代表的就是安全与权限领域的最佳实践 。</p>
<p>第三层境界：从程序员到架构师</p>
<p>架构师可以干什么？如何让应用在性能，伸缩性，扩展性、可靠性，容灾，可恢复性， 可管理性等方面做到最好，就是架构师的职责，同时，架构师要能够把握软件开发的整个周 期。由于我还只是一个程序员，也没有精力去学习架构师方面的只是，因此上面的论述可能 不准确。但是，作为一个程序员，上升到一个境界之后，确实应该考虑编码之外的东西了。</p>
<p>举例说明，cnblogs的博客程序算式比较完善的了，我个人对站长dudu也是充满了仰慕。 cnblogs的1.0Beta2版本我也下载得有，本打算使用它建一个自己的博客网站，但是却不行 ，因为它在性能，伸缩性，扩展性方面都达不到我的要求。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 14:54:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6/" title="组件">组件</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%91%98/" title="程序员">程序员</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91/" title="开发">开发</a>, <a href="https://www.iamivan.net/tag/%e5%a2%83%e7%95%8c/" title="境界">境界</a>, <a href="https://www.iamivan.net/tag/springside/" title="springside">springside</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SpringSide开发实战（八）：不是结局的结局，谈谈程序员的境界的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOXAkM.html" rel="bookmark">SpringSide开发实战（三）：漫谈CSS和页面布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇随笔不是专门针对SpringSide,却只得每个程序员一看. 还记得胡戈调侃&lt;无极&gt;中的王城布局为&quot;圈圈套圈圈&quot;娱乐城,也还记得我刚开始做 Web开发时&quot;表格套表格&quot;的页面布局.在大部分的程序员中,可能还在使用表格进行布局 ,使用表格进行布局的巨大缺点就是当页面进行一点点修改的时候,都有可能完全打乱页面 的外观,而且非常不利于和美工的配合.当然了,很多美工人员也在使用表格进行布局,他 们在图形软件中设计好页面,然后使用切片工具一切就完事,却给我们需要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2vlOM.html" rel="bookmark">SpringSide开发实战（六）：AJAX，在地狱中漫步</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说到AJAX,每个人都不会陌生,毕竟这两年它太流行了.然而,真正哪些地方需要AJAX ,并不是每个人都能够把握得很好.使用AJAX可以开发豪华的基于浏览器的富客户端界面, 然而其开发量的庞大和调试的艰难,让每一个程序员如同生活在地狱中一般. 我认为,真正需要AJAX的不外乎两种情况: 1.用户不希望他关注的信息离开他的视线的时候.比如填写某些表单的时候,有时候辛 辛苦苦填写的东西,一点提交按钮,全没了,如果某个字段验证失败,则所有的东西都要从 头再填,着实让人郁闷.虽然设计较好的网站可以保留用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZD87z.html" rel="bookmark">我也 30 了，来谈谈程序员的迷茫年龄</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今年三十了,到了传说中程序员最应该迷茫的年龄了,那么我迷茫吗,没的说,按照某司34岁就要劝退的要求,我还有4年的程序生涯. 为什么30岁的程序员就应该迷茫呢? 30岁正是经过了七八年的职场生涯,技术.经验.职业素养等各方面都到了一个比较充沛的阶段.如果前几年不是在混日子,到了现在,踏踏实实干活的一般会成为公司的核心开发,潜心研究技术的应该会成为架构师,有领导才能的也许是小领导或者项目负责人.按道理来讲30岁正是人生的最黄金年龄,也是事业发展的核心阶段,如果在这个阶段抓住机遇能有突破,对整个职业生			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6N5ZoM.html" rel="bookmark">初入开发组&lpar;1&rpar;－－一个程序员的成长史&lpar;16&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				也许是昨天晚上睡得早,今天代是雄起了个大早.在外面吃了点包子稀饭之后,便坐着公交车来到了公司.公交车还是一如既往的拥挤,代是雄一路上都是站着过来的,对于长期在大城市上班的人来说,大家都已经习惯了. 来到公司的大门口,代是雄发现很多人都是坐班车来上班的.下了班车之后,有些人又往另一个方向走去.代是雄放眼望去,才知道他们去食堂了.对于像Z公司这样的大公司来说,在每个研发中心都设立了食堂,提供早中晚三餐.这样,很多人就不用早起在家里面做早饭了,睡醒之后到公司吃饭更方便.代是雄决定从明天开始,自己也直接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnJVBM.html" rel="bookmark">初入开发组&lpar;3&rpar;－－一个程序员的成长史&lpar;18&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在去食堂的路上,代是雄回忆了一下,自己从初中便开始住校,那时一日三餐便是在食堂里面解决的,高中是如此,大学也基本如此.这样算下来,代是雄和食堂已经打了十几年的交道了.&quot;这个食堂会不会像学校的食堂那样,饭菜很难吃呢?&quot;代是雄在心里想到. 进入食堂之后,代是雄左右看了一下,这个食堂的布局和之前自己所见过的食堂差不多,也是几个大的窗口用于卖主食,两个小的窗口用于卖面点.由于代是雄去得比较晚,现在每个窗口前面都排起了长队.代是雄排了将近五分钟的队才打到饭,这期间他没有看到有插队的人,看来,程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7EBWb.html" rel="bookmark">SpringSide开发实战（四）：打通数据持久层的任督二脉</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这里,将创建一个简化的用户管理模块,演示怎样利用SpringSide提供的数据持久层 的功能,包括怎样通过Hibernate的Annotation来配置多对一映射和多对多映射. 大家都知道,现在最流行用户管理模型的是RBAC,也就是基于角色的访问控制模型,在 这种模型中,可以划分多个层次,如用户-角色-资源.用户-角色-权限-资源.用户-角色- 角色组-权限-资源.用户-角色-角色组-权限-操作-资源等等,因此,想要创建一个完善而 复杂的用户管理模块,是相当具有难度的.在Web2.0时代,有一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA4Rrb.html" rel="bookmark">SpringSide开发实战（二）：修改数据库、字符编码和快速部署应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SpringSide默认的数据库是hsql,但是大部分开发人员熟悉的数据库是MySql,因此在实 际开发过程中,遇到的第一件事往往是修改数据库.在SpringSide中修改数据库很简单,还 是以前一篇中创建的xkland项目为例,首先修改src\main\resources\config文件夹下的 jdbc.properties文件,注释掉1.2行,解注释7.8行,并修改10.11行的用户名和密码, 如下: 1#jdbc.driverClassName=org.hsqldb.jdbcDriver			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAaG12M.html" rel="bookmark">SpringSide开发实战（一）：使用Eclipse让SpringSide跑起来</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自2000年Struts框架发布,到2001年底Hibernate的诞生,再到2004年Spring的流行, Java社区的开源软件哲学是:&quot;只做好一件事情,只做最擅长的事情,其他事情留给别人去 做.&quot;但是到了2005年,Java开源出现了框架整合的大趋势,整个Java开源社区雨后春笋般 出现了一批又一批的full-stack框架,比较著名的有RIFE,Grails,JBoss Seam,Trails和 Able等等.SpringSide也是这样一个整合框架,常逛BlogJava的人肯			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yABvz.html" rel="bookmark">SpringSide开发实战（七）：在项目中整合FCKeditor</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web 2.0时代时代的Web项目,是无论如何也少不了一个在线编辑器的,因此在我们的项 目中整合一个Web编辑器就显得至关重要.在这里,我依然以前面的xkland项目为例,来探 讨在项目中整合FCKeditor的方方面面. 一.关于用户发表文章的功能设计 用户发表文章的功能,大家见过不少,也用过不少,最简单的,莫过于提供一个文本框 ,数据提交后直接写入数据库了事,稍复杂一点的最少也要提供一个输入标题和选择分类的 功能.当然,我们也可以把我们的功能设计得更有特色.在这个示例项目中,我假设开发的 是			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW29eb.html" rel="bookmark" class="title">360安全浏览器为什么要使用无痕浏览？</a>
					<div>
						  当您在公用电脑上上网或者使用自己的电脑也不愿被别人看到自己的浏览记录时,您就可以使用我们的无痕浏览.您在无痕浏览的时候,不仅您的浏览历史记录不会被保存,Internet临时文件.输入网址记录以及恢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A08np.html" rel="bookmark" class="title">php实现用已经过去多长时间的方式显示时间</a>
					<div>
						  本文实例讲述了php用已经过去多长时间的方式显示时间的方法.分享给大家供大家参考.具体如下: 这里以一种可读性比较好的方式显示已经过去多长时间,比如:距离现在10秒,距离现在1天等等. ? 1 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyQJab.html" rel="bookmark" class="title">在PowerPoint2010中如何更改可撤销次数</a>
					<div>
						一般在PowerPoint中可以撤消的操作数的默认值是5次.有时候我们的错误操作或者不必要的操作过多,导致不能够恢复到原来的步骤,怎么办?我们就可以更改设置中的Undo的次数,恢复到之前的操作步骤中. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W8nDb.html" rel="bookmark" class="title">Excel自动换行怎么设置</a>
					<div>
						  Excel处理数据之便捷众人皆知,可在其单元格内换行就略显不便,不知你是否也遇到过此类问题?通过摸索,以下四法便能轻松实现单元格内的自动换行. 1. 输入数据随时换行 用户若要在输入数据时换行,只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArLQ3p.html" rel="bookmark" class="title">开心手机恢复大师的三大模式应该如何使用？</a>
					<div>
						  首先,开心手机恢复大师拥有以下三大模式:通过设备扫描恢复,通过iTunes备份恢复,通过iCloud备份恢复. 1.通过设备扫描恢复:打开开心手机恢复大师,并且连接您的手机(第一次连接需要在您的手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa92Zz.html" rel="bookmark" class="title">魅族电商运维之路</a>
					<div>
						文章出自:听云博客        电商行业飞速发展,电商事故络绎不绝,但还是有不少人热衷于电商行业,投身于电商行业.        今天我们就围绕魅族电商运维这一块的内容,来做以下四大块的分享: 业务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKJkOM.html" rel="bookmark" class="title">Hive内置运算函数，自定义函数&lpar;UDF&rpar;和Transform</a>
					<div>
						4.Hive函数 4.1内置运算符 内容较多,见&lt;Hive官方文档&gt;   4.2内置函数 内容较多,见&lt;Hive官方文档&gt; https://cwiki.apache.org/c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NABRz.html" rel="bookmark" class="title">Oracle数据库ORA-00119 ORA-00132错误解决</a>
					<div>
						通过在shell下使用dbstartup $ORACLE_HOME 和在sqlplus中通过startup启动oracle数据报错 Copyright (c) 1982, 2009, Oracle.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YExgM.html" rel="bookmark" class="title">如何卸载aris</a>
					<div>
						问题描述 安装好aris之后,因为中文路径问题,服务无法启动.想重新安装下aris,可是怎么也卸载不掉.用过金三,360的管理软件来卸载也不可以.如果能告之如果在注册表中aris的路径也可以.感谢给位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6NA3M.html" rel="bookmark" class="title">IOS 封装静态库&lpar;&period;a文件&rpar;</a>
					<div>
						IOS中导入外部文件,一种是将源码导入,一种是导入静态库,有很多第三方库都是以静态库的形式提供给我们使用的,如何制作一个静态库呢? 一.xCode创建文件时,选择创建静态库文件:cacoaTouchS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rd2jz.html" rel="bookmark" class="title">C&num;中调用VB中Inputbox类的实现方法&lowbar;C&num;教程</a>
					<div>
						C#自己没有Inputbox这个类,但是Inputbox也蛮好用的,所以有两种方法可以使用 一:间接调用vb中的Inputbox功能       1.在项目中添加对Microsoft.VisualBa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV04NkM.html" rel="bookmark" class="title">帮我看看这个算法？该如何编写</a>
					<div>
						问题描述 此算法采用爬山算法.先有谈判一方提出一个议题集合,该议题中有若干议题组成,每个议题都有评价函数,并通过计算得得该议题集合的效用值.谈判方将此议题集合提交给对手,对手评价此提议,并与自己的保留 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RwEAz.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;中return语句的用法？不写return，返回值是什么含义？</a>
					<div>
						问题描述 C++中return语句的用法?不写return,返回值是什么含义? int hanshu() { int i; } int main() { printf(&quot;%d&quot;,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJaNkp.html" rel="bookmark" class="title">decimal 型的数字&comma;有如果有小数&comma;只保留2位小数&comma;没有小数&comma;就只显示整数部分&quest;</a>
					<div>
						问题描述 decimal型的数字,有如果有小数,只保留2位小数,没有小数,就只显示整数部分,不显示小数部分?用vb.net写谢谢大家 解决方案 解决方案二:可以强制转化成整数和原来数值比较不等的说明是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60NjYz.html" rel="bookmark" class="title">写了一个小程序，在手机上面显示乱码</a>
					<div>
						问题描述 在调试的时候没有问题,但是打包成jar安装在手机里读数据库的数据就出现乱码了. 解决方案 解决方案二:很正常,导致这种问题的情况有很多种.解决方案三:能不能大概提供点解决办法呢解决方案四:应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJmYmp.html" rel="bookmark" class="title">解析：社区电子商务将给站长带来了什么</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 2008艾瑞社区用户购物调查中显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJm63p.html" rel="bookmark" class="title">iPhone6plus一早被人远程锁定&comma;同用id的iPhone7也锁死怎么解锁</a>
					<div>
						iPhone6plus一早被人远程锁定,同用id的iPhone7也锁死怎么解锁iPhone解锁联系QQ号:[ 48645188]开锁率高达100% ,苹果id解锁QQ号:[48645188]百分之百成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkxO0M.html" rel="bookmark" class="title">CentOS 搭建Git Gitosis 服务器</a>
					<div>
						  环境部署   操作系统:                Centos6.5 x64 Git:                              git-2.0.0 Gitosis:     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqR0wp.html" rel="bookmark" class="title">如何在JSP页面加载时就把数据库中一张表的信息读出来</a>
					<div>
						问题描述 因为是页面加载时所以不能访问servlet用bean的话只能输出一个bean,也就是表中一行数据的信息 解决方案 解决方案二:求助大神啊呜呜呜解决方案三:$(function(){ajax} ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xB2Kb.html" rel="bookmark" class="title">微信相框是什么功能&quest; 微信相框有什么用 &quest;</a>
					<div>
						微信相框是什么功能? 微信相框的外形是一个楔形,从侧面看上尖下宽,从正面看略微呈梯形:设备整体设计很简洁,正面覆盖一块 8 英寸分辨率为 1024 x 768 的 IPS 屏 ,顶部有一个麦克风孔,背 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXV9eb.html" rel="bookmark" class="title">Groupon进入中国的首次尝试以&OpenCurlyDoubleQuote;高调开始、低调落幕&rdquo;结束</a>
					<div>
						日前,腾讯公司与Groupon宣布,将其投资的两家团购网站F团和高朋网合并. 据了解,两家公司成立一家新的集团控股公司,新公司CEO由F团原CEO林宁担任,高朋网原CEO高峡负责高朋业务线.高朋网初始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBoWwz.html" rel="bookmark" class="title">jquery  ajax跨域访问怎么修改header中的referer的值</a>
					<div>
						问题描述 jqueryajax跨域访问怎么修改header中的referer的值:$.ajax({type:&quot;get&quot;,url:&quot;http://api.sceea.cn/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7kRKz.html" rel="bookmark" class="title">ZooKeeper原理及其在Hadoop和HBase中的应用</a>
					<div>
						ZooKeeper是一个开源的分布式协调服务,由雅虎创建,是Google Chubby的开源实现.分布式应用程序可以基于ZooKeeper实现诸如数据发布/订阅.负载均衡.命名服务.分布式协调/通知. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL56VM.html" rel="bookmark" class="title">物联网&OpenCurlyDoubleQuote;十二五&rdquo;规划</a>
					<div>
						晨报讯 物联网是战略性新兴产业的重要组成部分,对加快转变经济发展方式具有重要推动作用.为加快物联网发展,培育和壮大新一代信息技术产业,依据&lt;中华人民共和国国民经济和社会发展第十二个五年规划纲要& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn839rb.html" rel="bookmark" class="title">Javascript中的return作用及javascript return关键字用法详解&lowbar;javascript技巧</a>
					<div>
						javascript 中的return一直用的都比较火,关于javascript中的return作用大家了解吗,下面通过本文给大家详细介绍,具体内容如下所示: return 语句从当前函数退出,并从那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QL5np.html" rel="bookmark" class="title">js获取input长度并根据页面宽度设置其大小及居中对齐&lowbar;javascript技巧</a>
					<div>
						1. js获取页面宽度高度及屏幕分辨率 网页可见区域宽:document.body.clientWidth 网页可见区域高:document.body.clientHeight 网页可见区域宽:doc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYPWPb.html" rel="bookmark" class="title">Ecs流量咨询</a>
					<div>
						问题描述 阿里的ECS网络流量图,大家建议几M的带宽?假如是2M,然后我给10M,网络响应会有很大的提升吗? 解决方案 解决方案二:人呢?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmdNop.html" rel="bookmark" class="title">【ANDROID游戏开发十一】手把手让你爱上ANDROID SDK自带&OpenCurlyDoubleQuote;9妹&rdquo;（9PATCH 工具）&comma;让ANDROID游戏开发更方便！</a>
					<div>
						本站文章均为 李华明Himi 原创,转载务必在明显处注明:  转载自[黑米GameDev街区] 原文链接: http://www.himigame.com/android-game/321.html  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRDo1z.html" rel="bookmark" class="title">微信支付怎么关闭？微信支付关闭方法图解</a>
					<div>
						第一步.先打开微信,然后点击菜单中的[我的钱包]-[支付安全]点击选项如下; 第二步.然后在支付宝全界面点击[安全Tips]选项; 第三步.在此会看到相前提示了,我们可以看看之后点击[注销微信支付]按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWAv1M.html" rel="bookmark" class="title">大数据助力证券业预判未来</a>
					<div>
						上海,我国最具特色的金融中心,其证券市场交易额等单项指标已位列全球前三,有极丰富的金融数据资源:贵州,中国大数据领域的先行者,是国内推动大数据产业发展的重要支撑,已率先启动了全国首个大数据综合试验区建 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
